@import url('https://fonts.googleapis.com/css2?family=Chiron+Sung+HK:ital,wght@0,200..900;1,200..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Shantell+Sans:ital,wght@0,300..800;1,300..800&display=swap');



* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    
}   
    html, body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 62.5%;
   
    }

    .big-box {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: .5rem;   
    }

    .big-box2 {
        display: flex;
        flex-direction: row;
        align-items: top;
        margin-top: .5rem;
        
    }

    .score {
        display: flex;
        position: relative;
        font-size: 3rem;
        font-weight: bold;
        letter-spacing: 0.50rem;
        transition: opacity 0.2s;
        
    }
    .score span correct {
        position: fixed;
        top: 0.5rem;
        left: 90rem;
    }
    .score span total {
        
        position: fixed;
        top: 0.5rem;
        right: 94rem;   
    }
  /*  .score button homeButton {
        position: fixed;
        top: 0.5rem;
        left: 20rem;
    }
    
    .score button playAgainButton {
        position: fixed;
        top: 0.5rem;
        left: 40rem;
    }
    */
    table {
        border-collapse: collapse;
        margin: 1rem 1rem;
        position: relative;
        
    }

    .buttonsContainer {
        display: flex;
        flex-direction: row;
        
        margin-top: 0.5rem;
    }

    .buttonsContainer img {
        cursor: pointer;
        width: 4rem;
        height: 4rem;
        margin: 0 3rem;
    }
    .buttonsContainer img:hover {
        transform: scale(1.3);
    }

    p img {
          cursor: pointer;
          width: 4.0rem;
          height: 4.0rem; 
    }
    p img:hover {
        transform: scale(1.3);
    }
/*      #endMessage {
          position: relative;
          top: 20rem;
          left: -5rem;
          text-align: center;
          font-size: 7rem;
          font-style: italic;
          color: rgb(182, 48, 244);
          display: none;
          animation: appear 3000ms;
    }
            @keyframes appear {
          from {
            opacity: 0;
          }
          to {
            opacity: 1;
          }
        }
*/
    #endMessage button {
        display: flex;
        position: relative;
        margin: 5rem auto;
    
          cursor: pointer;
          
          padding: 0.8rem 2rem;
          font-size: 3rem;
          font-style: italic;
          border-radius: 15px;
          border: 0.25rem solid blue;
          background-color: rgb(104, 104, 255);
          color: rgb(38, 245, 38);
          animation: show 1s;
          display: none;
    }
  
    @keyframes show {
        0%{opacity: 0;}
        20%{opacity: 0;}
        40%{opacity: 0;}
        50%{opacity: 0;}
        70%{opacity: 0.8;}
        850%{opacity: 0.9;}
        100%{opacity: 1;}
    }
    #endMessage button:hover { 
        transform: scale(1.2);
    }
    #endMessage button:active {
        background-color: #555;
    }

    .cell {
        width: 7rem;
        height: 7rem;
        border: 0.1rem solid black;
        text-align: center;
        vertical-align: middle;
        position: relative;
        font-size: 4rem;
        color: transparent;
        cursor: pointer;
    }
   
    .smallBox1 {
        display: block;
        position: relative;
        flex-direction: column;
        
        display: none;
        background-color: rgb(189, 244, 221);
        border-radius: 10px;
    }

    .smallBox2 {
        display: block;
        position: relative;
        flex-direction: column;
        color: rgb(237, 235, 235);
        display: none;
        background-color: rgb(202, 123, 236);
        border-radius: 10px;
    }
    .smallBox3 {
        display: block;
        position: relative;
        flex-direction: column;
        color: rgb(204, 251, 218);
        background-color: rgb(127, 154, 235);
        border-radius: 20px;
    }

    ul {
        display: flex;
        font-size: 2rem;
        justify-content: center;
        list-style-type: none;
        font-family: Chiron Sung HK;
        
        flex-direction: column;
        line-height: 3.5rem;
        font-weight: bold;
        
    }
    h3 {
        text-decoration: underline;
        font-weight: bold;
        text-align: center;
        font-size: 2.2rem;
        color: black;
    }
        
    .cell span {
        font-size: 2rem;
        top:0;
        left:0;
        color: black;
        cursor: none;
        position: absolute;
        user-select: none;
    }
    .abc-container {
        display: flex;
        flex-wrap: wrap;
        background-color: rgb(188, 183, 183);
        border-radius: 10px;
        margin-left: 1rem;
        width: 10rem;   
    }
    .abc {
        width: 4rem;
        height: 4rem;
        font-size: 2rem;
        color: Yellow;
        margin: .5rem;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        border-radius: 50%;
        cursor: pointer;
        background-color: grey;
        text-transform: uppercase;
    }
  /*  .abc:hover {
        border: 0.5rem solid salmon;
    } */
    .cell:hover {
        background: salmon;

    }
    .cell.selected {
        background-color: salmon;
        animation: animate 1000ms linear infinite;
    }

    .cell.matched {
        background-color: rgb(134, 250, 114);
        color: black;
        pointer-events: none;
    }

    a {
        text-decoration: none;
    }

    @keyframes animate {
        0%{opacity: 0.5;}
        20%{opacity: 0.5;}
        40%{opacity: 0.8;}
        50%{opacity: 1;}
        70%{opacity: 0.8;}
        850%{opacity: 0.5;}
        100%{opacity: 0.5;}
    }




